fiasco(3)

NAME
fiasco_get_verbosity, fiasco_set_verbosity - get or set verbosity of FIASCO library

SYNOPSIS
#include <fiasco.h>

fiasco_verbosity_e
fiasco_get_verbosity (void);

void
fiasco_set_verbosity (fiasco_verbosity_e level);

DESCRIPTION
The fiasco_get_verbosity() function returns the current verbosity level of the FIASCO library. Conversely, the function fiasco_set_verbosity() sets the verbosity of the FIASCO library to the given level.

RETURN VALUE
The function fiasco_get_verbosity() returns the current verbosity level. Level either is FIASCO_NO_VERBOSITY (no output at all), FIASCO_SOME_VERBOSITY (show progress meter) or FIASCO_ULTIMATE_VERBOSITY (show debugging output).

SEE ALSO
fiasco_coder(3),fiasco_decoder(3)
Ullrich Hafner, Juergen Albert, Stefan Frank, and Michael Unger. Weighted Finite Automata for Video Compression, IEEE Journal on Selected Areas In Communications, January 1998
Ullrich Hafner. Low Bit-Rate Image and Video Coding with Weighted Finite Automata, Ph.D. thesis, Mensch & Buch Verlag, ISBN 3-89820-002-7, October 1999.

AUTHOR
Ullrich Hafner